Koozali.org formerly Contribs.org

Nextcloud sur SME Server 9.2 : pb avec PHP 7.1

Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« on: October 05, 2019, 03:07:47 PM »
Afin d'améliorer un peu mon serveur Nextcloud qui saturait sur son petit disque dur (80 Go), j'ai fait une sauvegarde et j'ai réinstallé la v9.2 de SME sur un nouveau disque (SSD 240 Go).

J'ai voulu restaurer la sauvegarde et tout semblait OK.
Par contre, lorsque j'ai lancé Nextcloud il m'a indiqué que la version de PHP n'était pas la bonne (PHP 5.3 au lieu de PHP7.1 attendu).

J'ai tenté d'utiliser PHP Software Collection, sans succès (problème de dépendances).

J'ai donc pris le parti de repartir à zéro : nouvelle installation de SME Server et nouvelle installation de Nextcloud. Mais impossible d'installer Nextcloud car je rencontre les mêmes problèmes de dépendances :
Code: [Select]
--> Résolution des dépendances terminée
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pecl-zip
Erreur : Paquet : smeserver-nextcloud-1.1.0-14.el6.sme.noarch (smecontribs)
             Requiert : php71-php-smbclient
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-fpm
Erreur : Paquet : smeserver-nextcloud-1.1.0-14.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pecl-inotify
Erreur : Paquet : smeserver-nextcloud-1.1.0-14.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pecl-apcu
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-mbstring
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-gd
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pdo
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-ldap
Erreur : Paquet : smeserver-nextcloud-1.1.0-14.el6.sme.noarch (smecontribs)
             Requiert : smeserver-php-fpm
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-intl
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-imagick
Erreur : Paquet : smeserver-nextcloud-1.1.0-14.el6.sme.noarch (smecontribs)
             Requiert : php71-php-opcache
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-mysqlnd
Erreur : Paquet : nextcloud-16.0.4-1.el6.sme.noarch (smecontribs)
             Requiert : php71-php-mcrypt
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest


A partir des divers sujets vus sur ce forum ou ailleurs, j'ai essayé divers dépôts pour pouvoir installer PHP 7.1 mais en vain...


Quelqu'un aurait-il des pistes pour me permettre d'avoir PHP 7.1 et Nextcloud ?

Offline ReetP

  • *
  • 2,146
...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #2 on: October 05, 2019, 10:22:48 PM »
C'est justement là que le bât blesse...

La commande
Code: [Select]
yum install smeserver-php-scl --enablerepo=smecontribs
me renvoie une liste d'erreur longue comme le bras, toutes liées aux différentes versions des paquets PHP et pas uniquement la version 7.1:
Code: [Select]
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-soap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-mbstring
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-bz2
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php(language) > 5.4
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-ldap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-mbstring
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-ldap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-mcrypt
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-bcmath
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-posix
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-gd
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-pcre
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-pecl-mcrypt
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-pecl-zip
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-gd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-imap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-pdo
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-mysqlnd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-mysqlnd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-xml
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-ftp
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-posix
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-bcmath
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-pecl-mysql
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php(language) > 5.4
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-cli
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-imap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-ldap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-pecl-zip
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-mbstring
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-tidy
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-mysqlnd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-tidy
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-enchant
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-mbstring
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-ldap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-ldap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-bz2
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-pcre
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-soap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-enchant
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pdo
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-enchant
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-enchant
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-gd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-mysqlnd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-mysqlnd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-pecl-zip
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-enchant
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-ldap
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-zlib
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php(language) > 5.4
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-tidy
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-tidy
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-pcre
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-ftp
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-bz2
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-gd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-pdo
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-imap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-gd
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-runtime(remi)
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-bcmath
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-mcrypt
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-mcrypt
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-soap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-imap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-pecl-mysql
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-tokenizer
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-posix
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-mcrypt
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-mysqlnd
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-tokenizer
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-pecl-zip
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-runtime(remi)
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-cli
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-pecl-mysql
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-tidy
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-bz2
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-enchant
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-pecl-zip
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-cli
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pecl-zip
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-tidy
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-ftp
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-mcrypt
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-zlib
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-bcmath
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-mysqlnd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-bcmath
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-pdo
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-bcmath
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-pecl-zip
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-imap
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-tokenizer
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-mbstring
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-pdo
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72-php-soap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-gd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-bcmath
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-zlib
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-pdo
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-xml
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php(language) > 5.4
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-gd
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-tidy
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-tokenizer
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-imap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php55-php-mbstring
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-posix
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-runtime(remi)
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-soap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-mbstring
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70-php-soap
Erreur : Paquet : 1:php70-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php70-php-xml
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-pdo
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-pecl-mysql
Erreur : Paquet : 1:php73-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php73-php-ftp
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php54-php-ldap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php70
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php72
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php71-php-imap
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php56-php-enchant
Erreur : Paquet : 1:php71-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php71-php-pcre
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-cli
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-php-zlib
Erreur : Paquet : 1:php72-php-pear-1.10.9-2.el6.remi.noarch (remi-safe)
             Requiert : php72-runtime(remi)
Erreur : Paquet : smeserver-php-scl-0.4-25.el6.sme.noarch (smecontribs)
             Requiert : php73-php-soap

Offline ReetP

  • *
  • 2,146
Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #3 on: October 05, 2019, 10:57:41 PM »
db yum_repositories show

yum --enablerepo=smeaddons install smeserver-extrarepositories-epel, smeserver-extrarepositories-remi-safe

yum install smeserver-php-scl --enablerepo=smecontribs,epel,remi-safe

...
1. Read the Manual
2. Read the Wiki
3. Don't ask for support on Unsupported versions
4. I have a job, wife, and kids and do this in my spare time. If you want something fixed, please help.

Bugs are easier than you think: http://wiki.contribs.org/Bugzilla_Help

If you love SME and don't want to lose it, join in: http://wiki.contribs.org/Koozali_Foundation

Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #4 on: October 06, 2019, 01:04:50 PM »
J'avais déjà rajouté les repos remi-safe et epel...

Code: [Select]
# db yum_repositories show
base=repository
    EnableGroups=no
    Exclude=initscripts,libgsf
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
    Name=CentOS - os
    Visible=yes
    status=enabled
centosplus=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=centosplus
    Name=CentOS - centosplus
    Visible=no
    status=disabled
contrib=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=contrib
    Name=CentOS - contrib
    Visible=no
    status=disabled
epel=repository
    BaseURL=http://download.fedoraproject.org/pub/epel/$releasever/$basearch
    EnableGroups=no
    Exclude=perl-Razor-Agent
    GPGCheck=yes
    GPGKey=http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL
    MirrorList=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-$releasever&arch=$basearch
    Name=EPEL
    Visible=no
    status=disabled
extras=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=extras
    Name=CentOS - extras
    Visible=no
    status=disabled
fasttrack=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=fasttrack
    Name=CentOS - fasttrack
    Visible=no
    status=disabled
fws=repository
    BaseURL=http://repo.firewall-services.com/centos/$releasever
    EnableGroups=no
    GPGCheck=yes
    GPGKey=http://repo.firewall-services.com/RPM-GPG-KEY
    Name=Firewall Services
    Visible=no
    status=disabled
fws-testing=repository
    BaseURL=http://repo.firewall-services.com/centos-testing/$releasever
    EnableGroups=no
    GPGCheck=yes
    GPGKey=http://repo.firewall-services.com/RPM-GPG-KEY
    Name=Firewall Services testing
    Visible=no
    status=disabled
remi=repository
    BaseURL=http://rpms.famillecollet.com/enterprise/6/remi/$basearch/
    EnableGroups=no
    Exclude=mysql*,php-*,phpMyAdmin
    GPGCheck=yes
    GPGKey=http://rpms.famillecollet.com/RPM-GPG-KEY-remi
    Name=Remi -EL6
    Visible=yes
    status=disabled
remi-safe=repository
    BaseURL=http://rpms.famillecollet.com/enterprise/$releasever/safe/$basearch/
    EnableGroups=no
    GPGCheck=yes
    GPGKey=http://rpms.famillecollet.com/RPM-GPG-KEY-remi
    Name=Remi - safe
    Visible=yes
    status=enabled
smeaddons=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeaddons-9
    Name=SME Server - addons
    Visible=yes
    status=enabled
smecontribs=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smecontribs-9
    Name=SME Server - contribs
    Visible=no
    status=disabled
smedev=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smedev-9
    Name=SME Server - dev
    Visible=no
    status=disabled
smeextras=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeextras-9
    Name=SME Server - extras
    Visible=yes
    status=enabled
smeos=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeos-9
    Name=SME Server - os
    Visible=yes
    status=enabled
smetest=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smetest-9
    Name=SME Server - test
    Visible=no
    status=disabled
smeupdates=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeupdates-9
    Name=SME Server - updates
    Visible=yes
    status=enabled
smeupdates-testing=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeupdates-testing-9
    Name=SME Server - updates testing
    Visible=yes
    status=disabled
updates=repository
    EnableGroups=no
    Exclude=initscripts,libgsf
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=updates
    Name=CentOS - updates
    Visible=yes
    status=enabled

Offline mmccarn

  • *
  • 2,445
Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #5 on: October 06, 2019, 03:12:31 PM »
I don't see any problems with yum_repositories -- although you do show 'fws-testing' and 'smeupdates-testing' (so you may have something unexpected installed)

Step 1 -
The yum cache may be damaged - clean and recreate it.
(Note: smeserver-php-scl is already installed on my server, so the final 'yum install' command shows 'nothing to do')
Code: [Select]
# yum clean all
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Cleaning repos: base remi-safe smeaddons smeextras smeos smeupdates updates
Cleaning up Everything

# yum update
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Setting up Update Process
Determining fastest mirrors
 * base: repo1.ash.innoscale.net
 * smeaddons: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: repo1.ash.innoscale.net
base                                                              | 3.7 kB     00:00     
base/primary_db                                                   | 4.7 MB     00:02     
remi-safe                                                         | 3.0 kB     00:00     
remi-safe/primary_db                                              | 1.2 MB     00:02     
smeaddons                                                         | 2.9 kB     00:00     
smeaddons/primary_db                                              |  14 kB     00:00     
smeextras                                                         | 2.9 kB     00:00     
smeextras/primary_db                                              | 110 kB     00:00     
smeos                                                             | 3.1 kB     00:00     
smeos/primary_db                                                  | 1.1 MB     00:00     
smeupdates                                                        | 2.9 kB     00:00     
smeupdates/primary_db                                             | 553 kB     00:00     
updates                                                           | 3.4 kB     00:00     
updates/primary_db                                                | 6.6 MB     00:02     
No Packages marked for Update

# yum install smeserver-php-scl --enablerepo=smecontribs,epel,remi-safe
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: repo1.ash.innoscale.net
 * epel: d2lzkl7pfhq30w.cloudfront.net
 * smeaddons: mirror.canada.pialasse.com
 * smecontribs: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: repo1.ash.innoscale.net
Package smeserver-php-scl-0.4-25.el6.sme.noarch already installed and latest version
Nothing to do

Step 2
Verify everything related to the yum config
a. According to the output you provided from db yum_repositories show, you have these repositories enabled:
Code: [Select]
# db yum_repositories print |grep status.enabled |sed 's/repository.*status/repository\tstatus/'
base=repository status|enabled
remi-safe=repository status|enabled
smeaddons=repository status|enabled
smeextras=repository status|enabled
smeos=repository status|enabled
smeupdates=repository status|enabled
updates=repository status|enabled

Run # yum repolist to make sure that the remi-safe settings from yum_repositories have been correctly added to /etc/yum.smerepos.d/sme-base.repo. 
(If 'yum repolist' does not include 'remi-safe' on your system, run 'expand-template etc/yum.smerepos.d/sme-base.repo')
Code: [Select]
# yum repolist
Loaded plugins: fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * base: mirror.cogentco.com
 * smeaddons: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: mirror.cogentco.com
repo id                             repo name                                     status
base                                CentOS - os                                   6,710+3
remi-safe                           Remi - safe                                     2,856
smeaddons                           SME Server - addons                                28
smeextras                           SME Server - extras                               165
smeos                               SME Server - os                                   905
smeupdates                          SME Server - updates                              150
updates                             CentOS - updates                                636+1
repolist: 11,450

b. If you see any unexpected repositories in the output of yum repolist, find out where they come from
- Make sure that "reposdir" points only to /etc/yum.smerepos.d in /etc/yum.conf
Code: [Select]
# grep reposdir /etc/yum.conf
reposdir=/etc/yum.smerepos.d

- Confirm that the only file in /etc/yum.smerepos.d is sme-base.repo (the file that gets built from the yum_repositories db):
Code: [Select]
# find /etc/yum.smerepos.d/
/etc/yum.smerepos.d/
/etc/yum.smerepos.d/sme-base.repo

Step 3
See if you have any extra or unexpected packages installed

This command will list any packages installed from any repository not currently enabled:
Code: [Select]
# yum list extras

This command will list any packages that are not included in a base SME server installation:
Code: [Select]
# /sbin/e-smith/audittools/newrpms

Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #6 on: October 07, 2019, 09:14:14 PM »
Merci pour l'aide et les étapes détaillées.

Je viens de réinstaller un SME v9.2 tout frais.
Juste après l'installation, j'ai fait un coup de
Code: [Select]
yum updateAprès le reboot, j'ai repris les étapes de PHP SCL.
Après la commande
Code: [Select]
yum --enablerepo=smeaddons install smeserver-extrarepositories-epel, smeserver-extrarepositories-remi-safe, il m'indique que
Code: [Select]
Aucun paquet smeserver-extrarepositories-epel, disponible.

Je l'ai donc rajouté à la main via la commande mentionnée dans manual repo installation :
Code: [Select]
/sbin/e-smith/db yum_repositories set epel repository \
Name 'Epel' \
BaseURL 'http://download.fedoraproject.org/pub/epel/$releasever/$basearch' \
MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=epel-$releasever&arch=$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Exclude perl-Razor-Agent \
Visible no \
status disabled

Aucun souci, le repository est ajouté.
Ce que confirme la commande db yum_repositories show
Code: [Select]
# db yum_repositories show
base=repository
    EnableGroups=no
    Exclude=initscripts,libgsf
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
    Name=CentOS - os
    Visible=yes
    status=enabled
centosplus=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=centosplus
    Name=CentOS - centosplus
    Visible=no
    status=disabled
contrib=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=contrib
    Name=CentOS - contrib
    Visible=no
    status=disabled
epel=repository
    BaseURL=http://download.fedoraproject.org/pub/epel/$releasever/$basearch
    EnableGroups=no
    Exclude=perl-Razor-Agent
    GPGCheck=yes
    GPGKey=http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL
    MirrorList=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-$releasever&arch=$basearch
    Name=Epel
    Visible=no
    status=disabled
extras=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=extras
    Name=CentOS - extras
    Visible=no
    status=disabled
fasttrack=repository
    EnableGroups=no
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=fasttrack
    Name=CentOS - fasttrack
    Visible=no
    status=disabled
remi-safe=repository
    BaseURL=http://rpms.famillecollet.com/enterprise/$releasever/safe/$basearch/
    EnableGroups=no
    GPGCheck=yes
    GPGKey=http://rpms.famillecollet.com/RPM-GPG-KEY-remi
    Name=Remi - safe
    Visible=yes
    status=enabled
smeaddons=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeaddons-9
    Name=SME Server - addons
    Visible=yes
    status=enabled
smecontribs=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smecontribs-9
    Name=SME Server - contribs
    Visible=no
    status=disabled
smedev=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smedev-9
    Name=SME Server - dev
    Visible=no
    status=disabled
smeextras=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeextras-9
    Name=SME Server - extras
    Visible=yes
    status=enabled
smeos=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeos-9
    Name=SME Server - os
    Visible=yes
    status=enabled
smetest=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smetest-9
    Name=SME Server - test
    Visible=no
    status=disabled
smeupdates=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeupdates-9
    Name=SME Server - updates
    Visible=yes
    status=enabled
smeupdates-testing=repository
    EnableGroups=yes
    GPGCheck=yes
    MirrorList=http://mirrorlist.contribs.org/mirrorlist/smeupdates-testing-9
    Name=SME Server - updates testing
    Visible=yes
    status=disabled
updates=repository
    EnableGroups=no
    Exclude=initscripts,libgsf
    GPGCheck=yes
    MirrorList=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=updates
    Name=CentOS - updates
    Visible=yes
    status=enabled

Le cache yum a été vidé, aucune incohérence relevée :
Code: [Select]
# db yum_repositories print |grep status.enabled |sed 's/repository.*status/repository\tstatus/'
base=repository status|enabled
remi-safe=repository status|enabled
smeaddons=repository status|enabled
smeextras=repository status|enabled
smeos=repository status|enabled
smeupdates=repository status|enabled
updates=repository status|enabled
Code: [Select]
# yum repolist
Modules complémentaires chargés : fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * base: ftp.rezopole.net
 * smeaddons: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: miroir.univ-paris13.fr
id du dépôt                                                                 nom du dépôt                                                                          statut
base                                                                        CentOS - os                                                                           5 073+2
remi-safe                                                                   Remi - safe                                                                               170
smeaddons                                                                   SME Server - addons                                                                        28
smeextras                                                                   SME Server - extras                                                                       165
smeos                                                                       SME Server - os                                                                           907
smeupdates                                                                  SME Server - updates                                                                      150
updates                                                                     CentOS - updates                                                                          512
repolist: 7 005

Les autres commandes sont ok également :
Code: [Select]
# grep reposdir /etc/yum.conf
reposdir=/etc/yum.smerepos.d
Code: [Select]
# find /etc/yum.smerepos.d/
/etc/yum.smerepos.d/
/etc/yum.smerepos.d/sme-base.repo

Pas d'extras :
Code: [Select]
# yum list extras
Modules complémentaires chargés : fastestmirror, post-transaction-actions, smeserver
Loading mirror speeds from cached hostfile
 * base: ftp.rezopole.net
 * smeaddons: mirror.canada.pialasse.com
 * smeextras: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: miroir.univ-paris13.fr
Code: [Select]
# /sbin/e-smith/audittools/newrpms
Modules complémentaires chargés : fastestmirror, post-transaction-actions,
                                : smeserver
Loading mirror speeds from cached hostfile
 * base: ftp.rezopole.net
 * smeaddons: mirror.canada.pialasse.com
 * smeos: mirror.canada.pialasse.com
 * smeupdates: mirror.canada.pialasse.com
 * updates: miroir.univ-paris13.fr

Là, j'avoue que je sèche complètement...

Offline Jean-Philippe Pialasse

  • *
  • 1,362
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #7 on: October 08, 2019, 08:56:19 PM »
Par tout frais qu’entends tu?

Installation puis restauration ou juste installation?

Quelle est architecture réseau? Un firewall ? Le sme en passerelle serveur ou juste serveur ?

Y’a t il un plugin yum Installé comme priorities ?


Re: Nextcloud sur SME Server 9.2 : pb avec PHP 7.1
« Reply #8 on: October 11, 2019, 10:58:11 PM »
Tout frais : installation neuve en version 9.2 et exécution de la commande yum update. Aucune autre installation (plugin, appli web et autre contribs).

Architecture réseau actuelle :
Web --- Box --- SME Server v8 en serveur passerelle --- SME Server v9.2 en serveur seul (IP fixe, pas de DHCP)